Summary: XFree86 servers
Name: XFree86-Servers
Version: 3.3.6
Release: 33
Copyright: MIT
Group: User Interface/X

Source0: ftp://ftp.xfree86.org/pub/XFree86/3.3.6/X336src-1.tar.bz2
Source3: xserver.pamd
Source4: xdm.pamd
Source5: xfs.init
Source6: xfs.config
Source8: xdm.init
Source9: xfsft-1.1.6.tar.gz
Source10: xfsft-1.1.6-large-encodings.tar.gz

Patch0: XFree86-3.3.4b-rh.patch
Patch1: XFree86-3.3.6-rhxdm.patch
Patch2: XFree86-3.3.6-fsstnd.patch
Patch3: XFree86-3.3.6-parallelmake.patch
Patch4: fix-01-r128
 
Patch19: XFree86-3.3.5-nosuidxterm.patch
Patch20: XFree86-3.3.3-joy.patch
 
Patch22: XFree86-3.3.6-xfsftfontdir.patch
Patch23: XFree86-3.3.6-startx_xauth.patch
Patch24: XFree86-3.3.6-xfsredhat.patch
# fix Diamond SpeedStar A50 Xconfigurator setup
Patch30: XFree86-3.3.5-ssa50.patch
# new cyrix driver seems wonky
Patch32: XFree86-3.3.5-cyrix.patch
# turn of accel for sis6326 cards
Patch33: XFree86-3.3.5-sis.patch
Patch47: XFree86-3.3.5-3dfxalpha.patch
Patch50: XFree86-3.3.6-sparc.patch.gz
Patch51: XFree86-3.3.6-xtermresources.patch
Patch52: XFree86-3.3.6-new-i810.patch
Patch53: XFree86-3.3.6-fixemacs.patch

Patch54: XFree86-3.3.6-pamsession.patch
Patch55: XFree86-3.3.6-si_xkb.patch
Patch56: XFree86-3.3.6-ro-xkb.patch
Patch57: XFree86-3.3.6-xlib_netscape_fix.patch
Patch58: XFree86-3.3.6-5480mem.patch
Patch59: XFree86-3.3.6-ragemobility.patch
Patch60: XFree86-3.3.6-fixreleasedate.patch
Patch61: XFree86-3.3.6-svgaprobe.patch
Patch62: XFree86-3.3.6-fixdeadkeys.patch
Patch63: XFree86-3.3.6-morecyrix.patch
Patch64: XFree86-4.0-security.patch
Patch65: XFree86-3.3.6-libice.patch
Patch66: XFree86-3.3.6-xkbstack.patch
Patch67: fix-04-s3trio3d2x
Patch68: fix-05-s3trio3d
Patch69: XFree86-3.3.6-xdmsecurity.patch
Patch70: XFree86-3.3.6-moresecurity.patch

Patch300: XFree86-3.3.6-fbdev-compile.patch
Patch301: XFree86-Servers-alpha.patch
Patch302: XFree86-3.3.6-serversonly.patch
Patch303: XFree86-4.0-sparc-asmflags.patch

Exclusivearch: i386 alpha m68k armv4l sparc
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The X Window System provides the base technology for developing 
graphical user interfaces. Simply stated, X draws the elements 
of the GUI on the user's screen and builds methods for sending 
user interactions back to the application. X also supports remote 
application deployment--running an application on another computer 
while viewing the input/output on your machine.  X is a powerful 
environment which supports many different applications, such as 
games, programming tools, graphics programs, text editors, etc.  
XFree86 is the version of X which runs on Linux, as well as on other 
platforms.

This package contains the basic fonts, programs and documentation
for an X workstation.  However, this package doesn't provide the
program which you will need to drive your video hardware.  To
control your video card, you'll need the particular X server
package which corresponds to your computer's video card.

Additionally, you will need to install the X11R6-contrib package, the
Xconfigurator package, the xfs X font server package and the
XFree86-libs package. You may also need to install one or more of the
XFree86 fonts packages.

And finally, if you are going to develop applications that run as 
X clients, you will also need to install XFree86-devel.

%package -n XFree86-S3
Summary: The XFree86 server for video cards based on the S3 chip.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-S3
XFree86-S3 is the X server for video cards based on S3 chips,
including most Number Nine cards, many Diamond Stealth cards,
Orchid Fahrenheits, the Miro Crystal 8S, most STB cards, and some
motherboards with built-in graphics accelerators (such as the IBM
ValuePoint line).  Note that if you have an S3 ViRGE based video
card, you'll need XFree86-S3V instead of XFree86-S3.

This is not a definitive list of all of the video cards supported by
this X server. Please see the XFree86 video card/server list available
from the XFree86 Project's website at http://www.xfree86.org for a
definitive list of X servers and which video cards they support.

If you are installing the X Window System and your video card uses the
XFree86-S3 X server, you should install XFree86-S3.  You will also
need to install the following packages: XFree86, one or more of the
XFree86 fonts packages, X11R6-contrib, Xconfigurator, XFree86-xfs and
XFree86-libs. If you are going to develop applications that will run
as X clients, you will also need to install XFree86-devel.

%package -n XFree86-I128
Summary: The XFree86 server for Number Nine Imagine 128 video cards.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-I128
XFree86-I128 is the X server for the Number Nine Imagine 128 and
similar video cards.

This is not a definitive list of all of the video cards supported by
this X server. Please see the XFree86 video card/server list available
from the XFree86 Project's website at http://www.xfree86.org for a
definitive list of X servers and which video cards they support.

If you are installing the X Window System and the video card in your
system uses the XFree86-I128 X server, you'll need to install
XFree86-I128. You'll also need to install the following packages:
XFree86, one or more of the XFree86 fonts packages, X11R6-contrib,
Xconfigurator, XFree86-xfs and XFree86-libs. If you're going to be
developing applications which run as X clients, you'll also need to
install the XFree86-devel package.

%package -n XFree86-S3V
Summary: The XFree86 server for video cards based on the S3 Virge chip.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-S3V
XFree86-S3V is the X server for video cards based on the S3 ViRGE 
chipset.

Please see the XFree86 video card/server list available from the
XFree86 Project's website at http://www.xfree86.org for a definitive
list of X servers and which video cards they support.

If you are installing the X Window System and your video card uses the
XFree86-S3V X server, you should install XFree86-S3V.  You will also
need to install the following packages: XFree86, one or more of the
XFree86 fonts packages, X11R6-contrib, Xconfigurator, XFree86-xfs and
XFree86-libs.  If you're going to develop applications that run as X
clients, you will also need to install XFree86-devel.

%package -n XFree86-Mach64
Summary: The XFree86 server for Mach64 based video cards.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-Mach64
XFree86-Mach64 is the server package for cards based on ATI's
Mach64 chip, such as the Graphics Xpression, GUP Turbo, and WinTurbo 
cards. Note that this server is known to have problems with some 
Mach64 cards. Check http://www.xfree86.org for current information 
on updating this server.

This is not a definitive list of all of the video cards supported by
this X server. Please see the XFree86 video card/server list available
from the XFree86 Project's website at http://www.xfree86.org for a
definitive list of X servers and which video cards they support.

If you are installing the X Window System and the video card in your
system uses the XFree86-Mach64 X server, you need to install
XFree86-Mach64.  You will also need to install the following packages:
XFree86, one or more of the XFree86 fonts packages, X11R6-contrib,
Xconfigurator, XFree86-xfs and XFree86-libs.  And, finally, if you are
going to be developing applications that run as X clients, you will
also need to install XFree86-devel.

%package -n XFree86-8514
Summary: The XFree86 server program for older IBM 8514 or compatible video cards.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-8514
The XFree86-8514 package contains the X server for older IBM 8514
video cards, or compatibles from a company such as ATI.

This is not a definitive list of all of the video cards supported by
this X server. Please see the XFree86 video card/server list available
from the XFree86 Project's website at http://www.xfree86.org for a
definitive list of X servers and which video cards they support.

If you are installing the X Window System and your video card uses the
XFree86-8514 X server, you should install XFree86-8514. You will also
need to install the following packages: XFree86, one or more of the
XFree86 fonts packages, X11R6-contrib, Xconfigurator, XFree86-xfs and
XFree86-libs.  If you are going to develop applications that run as X
clients, you will also need to install the XFree86-devel package.

%package -n XFree86-AGX
Summary: The XFree86 server for AGX-based video cards.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-AGX
The XFree86-AGX package contains the X server for AGX-based cards,
such as the Boca Vortex, Orchid Celsius, Spider Black Widow and
Hercules Graphite.

This is not a definitive list of all of the video cards supported by
this X server. Please see the XFree86 video card/server list available
from the XFree86 Project's website at http://www.xfree86.org for a
definitive list of X servers and which video cards they support.

If you are installing the X Window System and the video card in your
system uses the XFree86-AGX X server, you'll need to install
XFree86-AGX. You will also need to install the following packages:
XFree86, one or more of the XFree86 fonts packages, X11R6-contrib,
Xconfigurator, XFree86-xfs and XFree86-libs. Finally, if you are going
to develop applications that run as X clients, you will also need to
install the XFree86-devel package.

%package -n XFree86-Mach32
Summary: The XFree86 server for Mach32 based video cards.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-Mach32
XFree86-Mach32 is the X server package for video cards built around 
ATI's Mach32 chip, including the ATI Graphics Ultra Pro and Ultra
Plus.

This is not a definitive list of all of the video cards supported by
this X server. Please see the XFree86 video card/server list available
from the XFree86 Project's website at http://www.xfree86.org for a
definitive list of X servers and which video cards they support.

If you are installing the X Window System and the video card uses the
XFree86-Mach32 X server, you need to install XFree86-Mach32.  You will
also need to install the following packages: XFree86, one or more of
the XFree86 fonts packages, X11R6-contrib, Xconfigurator, XFree86-xfs
and XFree86-libs.  If you are going to develop applications that run
as X clients, you will also need to install XFree86-devel.

%package -n XFree86-Mach8
Summary: The XFree86 server for Mach8 video cards.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-Mach8
XFree86-Mach 8 is the X server for video cards built around
ATI's Mach8 chip, including the ATI 8514 Ultra and Graphics Ultra.

This is not a definitive list of all of the video cards supported by
this X server. Please see the XFree86 video card/server list available
from the XFree86 Project's website at http://www.xfree86.org for a
definitive list of X servers and which video cards they support.

If you are installing the X Window System and the video card in your
uses the XFree86-Mach8 X server, you need to install XFree86-Mach8.
You will also need to install the following packages: XFree86, one or
more of the XFree86 fonts packages, X11R6-contrib, Xconfigurator,
XFree86-xfs and XFree86-libs.  And, finally, if you are going to be
developing applications that run as X clients, you will also need to
install XFree86-devel.

%package -n XFree86-Mono
Summary: A generic XFree86 monochrome server for VGA cards.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-Mono
XFree86-Mono is a generic monochrome (two color) server for VGA cards.
XFree86-Mono will work for nearly all VGA compatible cards, but will
only support a monochrome display.

Please see the XFree86 video card/server list available from the
XFree86 Project's website at http://www.xfree86.org for a definitive
list of X servers and which video cards they support.

If you are installing the X Window System and your VGA card is not
currently supported, you should install and try either XFree86-Mono or
XFree86-VGA16, depending upon the capabilities of your display.  You
will also need to install the following packages: XFree86, one or more
of the XFree86 fonts packages, X11R6-contrib, Xconfigurator,
XFree86-xfs and XFree86-libs.  If you're going to develop applications
that run as X clients, you will also need to install XFree86-devel.

%package -n XFree86-P9000
Summary: The XFree86 server for P9000 cards.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-P9000
XFree86-P9000 is the X server for video cards built around the
Weitek P9000 chip, such as most Diamond Viper cards and the 
Orchid P9000 card.

This is not a definitive list of all of the video cards supported by
this X server. Please see the XFree86 video card/server list available
from the XFree86 Project's website at http://www.xfree86.org for a
definitive list of X servers and which video cards they support.

If you are installing the X Window System and your video card uses the
XFree86-P9000 X server, you should install XFree86-P9000.  You will
also need to install the following packages: XFree86, one or more of
the XFree86 fonts packages, X11R6-contrib, Xconfigurator, XFree86-xfs
and XFree86-libs. If you're going to develop applications that run as
X clients, you will also need to install XFree86-devel.

%package -n XFree86-SVGA
Summary: An XFree86 server for most simple framebuffer SVGA devices.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-SVGA
An X server for most simple frame buffer SVGA devices, including 
cards built from ET4000 chips, Cirrus Logic chips, Chips and 
Technologies laptop chips, Trident 8900 and 9000 chips, and Matrox 
chips. It also works for Diamond Speedstar, Orchid Kelvins, STB
Nitros and Horizons, Genoa 8500VL, most Actix boards, and the
Spider VLB Plus. This X server works for many other chips and cards,
so try this server if you are having problems.

This is not a definitive list of the video cards supported by this X
server. Be sure to check the XFree86 Video Card/Server List for a
definitive list of X servers and supported video cards.  The Video
Card/Server List is available from the XFree86 website at
http://www.XFree86.org/.

If you're installing the X Window System, you will also need to
install the following packages: XFree86, the XFree86 X server for your
video card, one or more of the XFree86 fonts packages, Xconfigurator,
XFree86-xfs and XFree86-libs. Finally, if you are going to develop
applications that run as X clients, you will also need to install
XFree86-devel.

%package -n XFree86-VGA16
Summary: A generic XFree86 server for VGA16 boards.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-VGA16
XFree86-VGA16 is a generic 16 color server for VGA boards. 
XFree86-VGA16 will work on nearly all VGA style graphics boards, but 
will only support a low resolution, 16 color display.

Please see the XFree86 video card/server list available from the
XFree86 Project's website at http://www.xfree86.org for a definitive
list of X servers and which video cards they support.

If you are installing the X Window System and your VGA video card is
not specifically supported by another X server package, you should
install either XFree86-Mono or XFree86-VGA16, depending upon your
display's capabilities. You will also need to install the following
packages: XFree86, one or more of the XFree86 fonts packages,
X11R6-contrib, Xconfigurator, XFree86-xfs and XFree86-libs. If you are
going to develop applications that run as X clients, you will also
need to install XFree86-devel.

%package -n XFree86-W32
Summary: The XFree86 server for video cards based on ET4000/W32 chips.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-W32
XFree86-W32 is the X server for cards built around ET4000/W32
chips, including the Genoa 8900 Phantom 32i, the Hercules Dynamite,
the LeadTek WinFast S200, the Sigma Concorde, the STB LightSpeed,
the TechWorks Thunderbolt, and the ViewTop PCI.

This is not a definitive list of all of the video cards supported by
this X server. Please see the XFree86 video card/server list available
from the XFree86 Project's website at http://www.xfree86.org for a
definitive list of X servers and which video cards they support.

If you are installing the X Window System and your video card needs
the XFree86-W32 X server, you should install the XFree86-W32
package. You will also need to install the following packages:
XFree86, one or more of the XFree86 fonts packages, X11R6-contrib,
Xconfigurator, XFree86-xfs and XFree86-libs. If you're going to
develop applications that run as X clients, you will also need to
install XFree86-devel.

%package -n XFree86-3DLabs 
Summary: The XFree86 server for 3Dlabs video cards.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-3DLabs
XFree86-3DLabs is the X server for cards built around 3Dlabs Glint and
Permedia chipsets, including the Glint 500TX with IBM RGB526 RAMDAC,
the Glint MX with IBM RGB526 and IBM RGB640 RAMDAC, the Permedia with
IBM RGB526 RAMDAC, and the Permedia 2 (classic, 2a, 2v).

This is not a definitive list of all of the video cards supported by
this X server. Please see the XFree86 video card/server list available
from the XFree86 Project's website at http://www.xfree86.org for a
definitive list of X servers and which video cards they support.

If you are installing the X Window System and the video card in your
system uses the XFree86-3DLabs X server, you need to install
XFree86-3DLabs.  You will also need to install the following packages:
XFree86, X11R6-contrib, Xconfigurator, XFree86-xfs, XFree86-libs, and
possibly one or more of the XFree86 fonts packages. Finally, if you
are going to be developing applications that run as X clients, you
will also need to install XFree86-devel.

%package -n XFree86-TGA
Summary: X server for systems with Digital TGA boards based on DC21040 chips.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-TGA
The XFree86-TGA package contains an 8-bit X server for Digital TGA 
boards based on the DC21040 chip.  These adapters are often used in
Alpha workstations and are included with Alpha UDB (Multia) machines.

Please see the XFree86 video card/server list available from the
XFree86 Project's website at http://www.xfree86.org for a definitive
list of X servers and which video cards they support.

If you are installing the X Window System and your video card uses the
XFree86-TGA X server, you'll need to install the XFree86-TGA package.
You'll also need to install the following packages: XFree86, one or
more of the XFree86 fonts packages, X11R6-contrib, Xconfigurator,
XFree86-xfs and XFree86-libs. If you're going to develop applications
that will run as X clients, you'll also need to install the
XFree86-devel package.

%package -n XFree86-FBDev
Summary: The X server for the generic frame buffer device on some machines.
Group: User Interface/X Hardware Support
Provides: Xserver

%description -n XFree86-FBDev
The XFree86-FBDev package contains an X server for the generic frame 
buffer device.  This X server is usually the only choice for SPARC
machines, but also has some special capabilities that make it useful
on Intel platforms, especially laptops.

First, this X server can be used as a generic driver for a chipset 
that does not yet have an Open Source driver (note that it will be 
un-accelerated).  Secondly, this X server "speaks" VESA protocols, so 
it will produce the exact timing needed by projection systems.  This 
feature is handy for using your laptop to display a presentation on a 
projection system on the road.  Your regular X server may or may not
be in sync with the projection system, but the FBDev X server will 
always work.  Thirdly, this X server can produce a larger display, at 
a higher resolution, for consoles on laptops.

%package -n XFree86-Sun
Summary: X server for Suns with monochrome and 8-bit color SBUS framebuffers.
Group: User Interface/X Hardware Support
Obsoletes: X11R6.1-Sun
Provides: Xserver

%description -n XFree86-Sun
The XFree86-Sun package contains the X server for Sun computers with 
monochrome and 8-bit color SBUS frame buffers (for example, the CG3 and 
CG6 frame buffers).  

Please see the XFree86 video card/server list available from the
XFree86 Project's website at http://www.xfree86.org for a definitive
list of X servers and which video cards they support.

If you are installing the X Window System and your Sun system uses the
XFree86-Sun X server, you'll need to install the XFree86-Sun package.
You'll also need to install the following packages: XFree86, one or
more of the XFree86 fonts packages, X11R6-contrib, Xconfigurator,
XFree86-xfs and XFree86-libs. Finally, if you're going to develop
applications that run as X clients, you will also need to install
XFree86-devel.

%package -n XFree86-SunMono
Summary: X server for Sun computers with monochrome SBUS framebuffers only.
Group: User Interface/X Hardware Support
Obsoletes: X11R6.1-SunMono
Provides: Xserver

%description -n XFree86-SunMono
The XFree86-SunMono package includes an X server for Sun computers with
monochrome SBUS frame buffers only.

Please see the XFree86 video card/server list available from the
XFree86 Project's website at http://www.xfree86.org for a definitive
list of X servers and which video cards they support.

If you're installing the X Window System on a Sun computer with
monochrome SBUS frame buffers only, you'll need to install the
XFree86-SunMono package.  You'll also need to install the following
packages: XFree86, one or more of the XFree86 fonts packages,
X11R6-contrib, Xconfigurator, XFree86-xfs and XFree86-libs. If you're
going to develop applications that will run as X clients, you'll also
need to install XFree86-devel.

%package -n XFree86-Sun24
Summary: The X server for Suns with all supported SBUS framebuffers.
Group: User Interface/X Hardware Support
Obsoletes: X11R6.1-Sun24
Provides: Xserver

%description -n XFree86-Sun24
The XFree86-Sun24 package contains the X server for Sun computers with
all supported SBUS frame buffers.

Please see the XFree86 video card/server list available from the
XFree86 Project's website at http://www.xfree86.org for a definitive
list of X servers and which video cards they support.

If you are installing the X Window System on a Sun which uses the
XFree86-Sun24 X server, you'll need to install this package.  You'll
also need to install the following packages: XFree86, one or more of
the XFree86 fonts packages, X11R6-contrib, Xconfigurator, XFree86-xfs
and XFree86-libs. If you're developing applications that run as X
clients, you'll also need to install XFree86-devel.

%prep
%setup -q -c -a 9

# install xfsft
tar x -C xc/lib -f xfsft-1.1.6/libfont.tar
patch -p0 -s -d xc/lib < xfsft-1.1.6/libfont.patch
 
%patch0 -p1 -b .rh
%patch1 -p1 -b .rhxdm
%patch2 -p1 -b .fsstnd
%patch3 -p1 -b .parallelmake
%patch4 -p0 -b .fix-01-r128
 
# use glibc 2.1 routines for utmp, doesn't require xterm to be setuid
%patch19 -p1 -b .nosuidxterm
%patch20 -p1 -b .joy

 
%patch23 -p1 -b .startx_xauth
%patch24 -p1 -b .xfsredhat
 
# Fix Xconfigurator setup of Diamond SpeedStar A50
%patch30 -p1 -b .ssa50
 
# new cyrix driver seems wonky
%patch32 -p1 -b .cyrix
# turn of accel for sis6326 cards
%patch33 -p1 -b .sis
 
%ifarch alpha
%patch47 -p1 -b .3dfxalpha
%endif
 
# Sparc jumbo patch
%ifarch sparc
%patch50 -p1 -b .sparc
%endif
 
# fix xterm key mappings
%patch51 -p1 -b .xtermresources

# enable the Intel 810 driver in 3.3.6.  Also switches the agpgart
# interface to the new style driver, backported from the 4.0 tree.
# newer patch from VA Linux.
%patch52 -p1 -b .new-i810
 
# buffer overflow in libX11 that emacs exhibits at exit time
%patch53 -p1 -b .fixemacs
 
# XFree86 3.3.5/3.3.6 call pam_close_session in wrong place
%patch54 -p1 -b .pamsession
 
# slovenian Xkb map
%patch55 -p1 -b .si_xkb
 
# fix up romanian xkb map stuff
%patch56 -p1 -b .ro-xkb
 
# patch from Keith Packard to fix netscape crashes
%patch57 -p1 -b .xlib_netscape_fix
 
# fix memory detection on Cirrus 5480 series chips
%patch58 -p1 -b .5480mem

 
# fix rage mobility chipset (IBM ThinkPads)
%patch59 -p1 -b .ragemobility
 
# 2000, not 1999!
%patch60 -p1 -b .fixreleasedate
 
# probe cards via the SVGA server in a slightly different order to
# avoid lockups upon ISA bus probes.
%patch61 -p1 -b .svgaprobe
 
# fix dead keys for sweden, norway, finland, and denmark
%patch62 -p1 -b .fixdeadkeys
 
# more minor MediaGX tweaks
%patch63 -p1 -b .morecyrix
 
# fix bug in security extension (listens on port 6000)
%patch64 -p1 -b .security
 
# fix buff overflow in libICE.
%patch65 -p1 -b .libice
 
# fix stack overrun in xkb startup code
%patch66 -p1 -b .xkbstack
 
# fix S3 trio3d issues
%patch67 -p0 -b .s3trio3d2x
%patch68 -p0 -b .s3trio3d
 
# fix possible buffer overflow (NOT on stack) in xdm xdmcp code
%patch69 -p1 -b .xdmsecurity
 
# fix overruns in x protocol setup itself
%patch70 -p1 -b .moresecurity

# make things compile with glibc 2.2
%patch300 -p0 -b .fbdevcompile

# make alpha build with gcc 2.96
%patch301 -p0 -b .alphabuild

# Only build X servers
%patch302 -p0 -b .serversonly

# fix cfb linking
%patch303 -p1 -b .asm

# Fix the header file for makedepend.
cd xc/config/imake
mkdir X11
ln -s ../../include/Xosdefs.h X11

%build
numprocs=`egrep -c "^cpu[0-9]+" /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi
if [ "$numprocs" != "1" ]; then
  numprocs=`expr $numprocs + $numprocs`
fi

%ifarch alpha
make World -C xc BOOTSTRAPCFLAGS="$RPM_OPT_FLAGS -Wa,-m21164a" \
	CDEBUGFLAGS="$RPM_OPT_FLAGS -Wa,-m21164a" MAKE="make -j$numprocs"
%else
make World -C xc BOOTSTRAPCFLAGS="$RPM_OPT_FLAGS -pipe" \
	CDEBUGFLAGS="$RPM_OPT_FLAGS -pipe" MAKE="make -j$numprocs"
%endif

# There are apparently bugs in -m486. Grrrrrrrrrrrrrrr.
%ifarch i386 i486 i586 i686
(
  cd xc/programs/Xserver/hw/xfree86/accel/i128/
  rm i128.o libi128.a
  make i128.o CDEBUGFLAGS="-O2 -pipe"
  cd ../../../..
  make CDEBUGFLAGS="$RPM_OPT_FLAGS -pipe" MAKE="make -j$numprocs"
)
%endif


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 ${RPM_SOURCE_DIR}/xserver.pamd $RPM_BUILD_ROOT/etc/pam.d/xserver
install -m 644 ${RPM_SOURCE_DIR}/xdm.pamd $RPM_BUILD_ROOT/etc/pam.d/xdm
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
touch $RPM_BUILD_ROOT/etc/security/console.apps/xserver

mkdir -p $RPM_BUILD_ROOT/usr/include
rm -f $RPM_BUILD_ROOT/usr/include/X11

make DESTDIR=$RPM_BUILD_ROOT install install.man -C xc

# we don't want the libz.a from XFree86 -- it's broken
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libz.a

# setup the default X server
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/X
ln -s Xwrapper $RPM_BUILD_ROOT/usr/X11R6/bin/X

# don't make SuperProbe setuid
# don't make the servers setuid
(	cd $RPM_BUILD_ROOT/usr/X11R6/bin
	chmod 755 SuperProbe XF86_* XF68_*
)

(
    set +x
    strip $RPM_BUILD_ROOT/usr/X11R6/bin/*
    strip $RPM_BUILD_ROOT/usr/X11R6/lib/modules/*so
    strip $RPM_BUILD_ROOT/usr/X11R6/lib/*so*
)

mv $RPM_BUILD_ROOT/usr/X11R6/man/man5/XF86Config.5x \
	$RPM_BUILD_ROOT/usr/X11R6/man/man5/XF86Config-3.5x

%clean
rm -rf $RPM_BUILD_ROOT

%ifarch i386 alpha
%files -n XFree86-SVGA
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_SVGA
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_SVGA.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386 sparc
%files -n XFree86-VGA16
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_VGA16
%ifnarch sparc
/usr/X11R6/lib/modules/*
%endif
/usr/X11R6/man/man1/XF86_VGA16.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386
%files -n XFree86-W32
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_W32
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_W32.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386 alpha
%files -n XFree86-Mono
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mono
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_Mono.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386 alpha
%files -n XFree86-S3
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_S3
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_S3.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386 alpha
%files -n XFree86-S3V
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_S3V
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_S3.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386
%files -n XFree86-8514
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_8514
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_8514.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386
%files -n XFree86-Mach8
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mach8
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_Mach8.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386
%files -n XFree86-Mach32
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mach32
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_Mach32.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386 alpha sparc
%files -n XFree86-Mach64
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_Mach64
%ifnarch sparc
/usr/X11R6/lib/modules/*
%endif
/usr/X11R6/man/man1/XF86_Mach64.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386 alpha
%files -n XFree86-P9000
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_P9000
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_P9000.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386
%files -n XFree86-AGX
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_AGX
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_AGX.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386
%files -n XFree86-I128
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_I128
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF86_I128.1x*
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386 alpha sparc
%files -n XFree86-3DLabs
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_3DLabs
%ifnarch sparc
/usr/X11R6/lib/modules/*
%endif
/usr/X11R6/man/man1/XF86_Accel.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch alpha
%files -n XFree86-TGA
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_TGA
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch m68k armv4l
%files -n XFree86-FBDev
%defattr(-,root,root,-)
/usr/X11R6/bin/XF68_FBDev
/usr/X11R6/lib/modules/*
/usr/X11R6/man/man1/XF68_FBDev.1x*
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch i386 alpha sparc
%files -n XFree86-FBDev
%defattr(-,root,root,-)
/usr/X11R6/bin/XF86_FBDev
%ifnarch sparc
/usr/X11R6/lib/modules/*
%endif
/usr/X11R6/man/man5/XF86Config-3.5x*
%endif

%ifarch sparc
%files -n XFree86-Sun
%defattr(-,root,root,-)
/usr/X11R6/bin/Xsun
%endif

%ifarch sparc
%files -n XFree86-SunMono
%defattr(-,root,root,-)
/usr/X11R6/bin/XsunMono
%endif

%ifarch sparc
%files -n XFree86-Sun24
%defattr(-,root,root,-)
/usr/X11R6/bin/Xsun24
%endif

%changelog
* Sat Aug 19 2000 Bill Nottingham <notting@redhat.com>
- include 3.3.x modules
- include XF86Config man page

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul  8 2000 Bill Nottingham <notting@redhat.com>
- rebuild (fix sibcall-related issues)

* Tue Jul 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild in new environment.
- fix names of the sun servers

* Fri Jun 30 2000 Preston Brown <pbrown@redhat.com>
- remove Xaw-compat, both Xaw's are included in 4.0. duh.

* Thu Jun 29 2000 Preston Brown <pbrown@redhat.com>
- added libXaw-compat pkg
- updated some patches.
- fix names of the sun servers (they were missing -n).

* Wed Jun 28 2000 Matt Wilson <msw@redhat.com>
- build all the 3.3.6 servers again

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- build Mach64 on sparc, build 3DLabs on all.
- add sparc jumbo patch
- build on sparc

* Wed Jun  7 2000 Jakub Jelinek <jakub@redhat.com>
- fix build on alpha

* Mon Jun  5 2000 Jakub Jelinek <jakub@redhat.com>
- only build X servers not well supported in XF4.0
- make things compile with glibc 2.2

* Tue May 30 2000 Preston Brown <pbrown@redhat.com>
- sync Xsession with xinitrc.  These will be linked together in a better
  fashion for Winston (#10619).
- xfs script now handles font dirs with mixed ttf/non-ttf files (#11613)
- S3 Trio3D fixes

* Wed May 24 2000 Preston Brown <pbrown@redhat.com>
- new i810 patch fixes up 810 support and adds Cards database entry
- fix DoS in security extension.  Thanks to Chris Evans for discovering.
- add fix to libICE which fixes up buffer overflows in ICE protocol.
- backport xfs changes from X11R6.4/XFree86 4.0a codebase to address buffer
  overflows in 3.3.6 code
- fix parallel make support

* Sun Mar 26 2000 Matt Wilson <msw@redhat.com>
- fixed xfs init script

* Mon Mar 06 2000 Preston Brown <pbrown@redhat.com>
- deadkeys patch for nowegian got mangled, fixed.

* Sat Mar 04 2000 Preston Brown <pbrown@redhat.com>
- final fix for xterm app defaults (keybindings)

* Wed Mar  1 2000 Bill Nottingham <notting@redhat.com>
- minor driver reversions fo Cyrix
- remove the xlib recompile; it's been fixed
- add a *different* compiler bug workaround

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- romanian xkb fixes from gafton
- final version of dk/fi/no/se xkb fixes

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- sed script operates on /etc/X11/XF86Config to get xkbsymbols var
- use uid/gid 43 for xfs by default as according to our uidgid standard.

* Wed Feb 23 2000 Preston Brown <pbrown@redhat.com>
- fix XF86Setup storage dir (/etc/X11) for XF86Config
- rage mobility chipset fix.
- fix date indicated by server.
- fix up default xfs.config file to play nicely with latest chkfontpath

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- finally have good mappings for backspace and delete, home/end in xterm
- ifarch the sparc patch, it is causing the Imagine 128 problems on intel!
- patch from mkj to fix memory detection on Cirrus Logic 5480 series cards

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- patch from Keith Packard to fix some netscape crashes

* Mon Feb 14 2000 Preston Brown <pbrown@redhat.com>
- xfs default client limit now at 10 from 4
- swedish, norwegian dead key fixes (#9380)
- extra large encodings for xfsft

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- remove some unnecessary config directives
- make man page file entries work for both gzip and no gzip
- slovenian xkb stuff (#7555)
- mkfontdir arg evaluation fix (#9251)
- documentation for extra xfs options added by Red Hat (#9234)
- rage 128 text fix from XFree added instead of old fix (#8749)
- xfs prereq chkconfig

* Fri Feb 04 2000 Preston Brown <pbrown@redhat.com>
- fix pam_close_session insufficient permission bug

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- app-defaults are no longer config files.
- strip loadable modules, dynamic libraries

* Tue Feb 01 2000 Preston Brown <pbrown@redhat.com>
- parallel make patch from H.J. Lu
- startx serverrc fix (#8985)
- add .gz extension to man pages

* Mon Jan 24 2000 Preston Brown <pbrown@redhat.com>
- fix rage 128 cards (#8749)
- fix segfault in libX11 with emacs (#5476)

* Fri Jan 21 2000 Preston Brown <pbrown@redhat.com>
- fix typo in /etc/X11/xdm/Xsession.

* Tue Jan 18 2000 Preston Brown <pbrown@redhat.com>
- xterm obeys proper key bindings
- include xfsft encodings in file list

* Mon Jan 17 2000 Preston Brown <pbrown@redhat.com>
- Xsession obeys xinitrc.d directory stuff now as well.

* Fri Jan 14 2000 Preston Brown <pbrown@redhat.com>
- don't use /etc/X11/xinit/.Xmodmap but instead /etc/X11/xinit/Xmodmap (#5144)
- init BOOTSTRAPCFLAGS to RPM_OPT_FLAGS (#5331)

* Thu Jan 13 2000 Bill Nottingham <notting@redhat.com>
- move mkfontdir to xfs so the init script works

* Thu Jan 13 2000 Jakub Jelinek <jakub@redhat.com>
- forward port of all 3.3.5 sparc patches once again
- merge them all into one jumbo patch to decrease confusion

* Wed Jan 12 2000 Matt Wilson <msw@redhat.com>
- corrected sun mouse protocol support

* Mon Jan 10 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- New feature in xfs.init: Automatically rebuild fonts.dir etc when needed
  at xfs startup/restart.
- 3.3.6
- adapt patches
- fix build on sparc
- remove symlink attack patch; it's fixed in base
- remove Trident, TDFX, and raptor patches (in base)
- remove kbdrate patch

* Thu Dec 09 1999 Preston Brown <pbrown@redhat.com>
- re-add 75dpi to default xfs config file

* Wed Dec 01 1999 Preston Brown <pbrown@redhat.com>
- 3dfx support enabled for the Alpha series of CPUs.

* Mon Nov 15 1999 Preston Brown <pbrown@redhat.com>
- Yet another patch from Dave Miller to fix Creator3D series 3.

* Wed Nov 10 1999 Preston Brown <pbrown@redhat.com>
- raptor patch for sparc added (3DLabs card)

* Tue Nov 09 1999 Preston Brown <pbrown@redhat.com>
- the kbdrate patch doesn't work on SPARC, ifdef'ed out.

* Mon Nov 08 1999 Preston Brown <pbrown@redhat.com>
- yet more Creator/Elite3D frame buffer fixes from Dave M.

* Fri Nov 05 1999 Preston Brown <pbrown@redhat.com>
- patch from DaveM to make Creator3D/Elite3D cards work on multi-head

* Tue Nov 02 1999 Preston Brown <pbrown@redhat.com>
- jj's new xfs.config, also added deferglyphs = 16.
- jj's mach64 cursor fix (patch 41).

* Thu Oct 28 1999 Preston Brown <pbrown@redhat.com>
- fix another x drawing bug on creator/elite3d
- make xset r command work.  (i.e. changing keyboard rate)

* Mon Oct 25 1999 Preston Brown <pbrown@redhat.com>
- fix Xsun24 on 24" Sony/Sun monitors.

* Thu Oct 14 1999 Preston Brown <pbrown@redhat.com>
- added patch for sparc FBDev.

* Sun Oct 10 1999 Matt Wilson <msw@redhat.com>
- minor change to the sun kbd rules

* Thu Sep 30 1999 Preston Brown <pbrown@redhat.com>
- sun xkb patch from jj.

* Wed Sep 29 1999 Preston Brown <pbrown@redhat.com>
- patch for banshee cards from Daryll Strauss added.

* Mon Sep 27 1999 Preston Brown <pbrown@redhat.com>
- patch for elite3d cards on sparc added.

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- major issues compiling on alphas worked around.

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- needed to bzip2 sources to save space on 2nd CD
- change way we combat xfs compilation issues on alpha

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- postun for xfs changed to preun
- noaccel patch for SiS 6326 cards

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- reverted to 3.3.3.1 cyrix driver -- the new one is messed up.

* Fri Sep 03 1999 Preston Brown <pbrown@redhat.com>
- xfs package hasn't needed su for awhile, removed requirement

* Thu Sep 02 1999 Preston Brown <pbrown@redhat.com>
- fix xfs problem on alpha

* Wed Sep 01 1999 Preston Brown <pbrown@redhat.com>
- compile xfs and libfont w/o optimization on alpha, seems to fix crashes

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- xkbcomp security fix (symlink attack)
- Xaccess file changed to disallow logins by default
- patch Xsession in dist don't provide our own

* Thu Aug 26 1999 Preston Brown <pbrown@redhat.com>
- updated to 3.3.5 final
- more mach64 fixes for sparc to work with 3.3.5 (thanks davem)

* Wed Aug 18 1999 Preston Brown <pbrown@redhat.com>
- xfsft 1.1.6, fonts.{dir,scale} are now config files
- included proper credits/READMEs for xfsft, as well as extra encoding files

* Fri Aug 06 1999 Preston Brown <pbrown@redhat.com>
- patched to 3.3.4Z (3.3.5 release candidate)

* Mon Jul 19 1999 Preston Brown <pbrown@redhat.com>
- the big, massive, painful port of stuff to XFree86 3.3.4.
- build in parallel on the number of processors available on the machine

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- xdm pam console logout problems fixed, added call to pam_getenvlist to
- set environment variables, if they are present.
- made xfs package drop privileges if directed instead of using /bin/su

* Thu Jun 24 1999 Bill Nottingham <notting@redhat.com>
- fix potential umask issues...

* Mon Jun 07 1999 Preston Brown <pbrown@redhat.com>
- incorporated all patches since release time from myself and jbj
- removed xfs port hardcode hack; changed init script to start on port -1
- package much documentation as text (not PostScript) where easily possible
- iso8859-2 keyboard input of iso8859-1 chars fixed

* Sat Apr 17 1999 Preston Brown <pbrown@redhat.com>
- march64 sparc patch seemed to mess with i386 (problems), ifarch'ed.

* Thu Apr 14 1999 Preston Brown <pbrown@redhat.com>
- added JJ's sparc LEO and Creator patch (sparc3.patch)
- icelandic xkb keyboard 

* Wed Apr 13 1999 Preston Brown <pbrown@redhat.com>
- updated PAM patch so that xdm has pam session support
- require latest version of pam
- fix setting of root color in Xsession

* Tue Apr 13 1999 Bill Nottingham <notting@redhat.com>
- don't run *dm from init script, use inittab instead
- add path to sessreg in Give/TakeConsole

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- xfs has /bin/false as shell
- xfs security patch (disable tcp connections)
- giveconsole, takeconsole from xdm make utmp/wtmp entries

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- fixing xserver pam-console stuff.
- prereq utempter

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- fixed pam-console stuff for Xwrapper
- added hide flag to init scripts so they don't show up in installer ntsysv

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- improved xfs init script not to try to lock process 'su' but instead 'xfs',
- fixing bug # 2037.
- czech keyboard fixes
- documentation subpackage
- pam-console patch for Xwrapper from mkj

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- new improved creator patch (#17)

* Thu Apr 01 1999 Preston Brown <pbrown@redhat.com>
- if I have to touch the %pre stuff for xkb again I will go totally ballistic.
- xfs prereq for shadow-utils

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- xfs gets its own user (xfs), more xkb fixes

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- added probing section to xdm init script
- xfs is run by user nobody for security reasons

* Sun Mar 28 1999 Preston Brown <pbrown@redhat.com>
- fix xkb link, add nosuid xterm patch.

* Sat Mar 27 1999 Bill Nottingham <notting@redhat.com>
- unlink /tmp/.X11-unix before making directory

* Sat Mar 27 1999 Jeff Johnson <jbj@redhat.com>
- integrate creator acceleration patch.

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- obsoletes color-xterm, backwards compatible link as nxterm provided
- fixed up xkb stuff

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- xdm init script fixes

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- dvorak keymap fix
- fixed xfs upgrade error (it was turning it off by accident)
- moved xkb/compiled stuff to /var partition

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- fonts.alias and fonts.dir are marked as config files now
- thinkingmouse/expertmouse movement patch included

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- updated xdm.pamd to have pam-console support.
- workaround for netscape problems in %build section
- xdm.init fixes

* Mon Mar 15 1999 Preston Brown <pbrown@redhat.com>
- DGA 1.1 support + fix alpha DGA, fix unaligned trap errors for MGA cards.

* Sat Mar 13 1999 Jakub Jelinek <jj@ultra.linux.cz>
- Creator acceleration.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group, fixed xdm to not start w/o xfs running.

* Thu Feb 18 1999 Preston Brown <pbrown@redhat.com>
- more patches from ultrapenguin for the sparc

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- made xfs config file "noreplace". font packages use chkfontpath.
- hacked xfs to remove invalid paths w/o dying (used XF86Config code)
- hacked xfs to be a daemon
- improved default xfs config file
- fixed up the init scripts some

* Wed Feb 10 1999 Preston Brown <pbrown@redhat.com>
- updated xdm.init file to be bash 2 compliant.
- xdm.init inadvertently was in xfs package, moved to main package
- patch removed from Xsession, it should get set with -login flag for bash
- fixed KOI8 fontmapping for key 0xB4, also fixed ru_SU patch (bugzilla
  #1109, #1111)

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- whoops, chkconfig stuff for xfs moved into its own post/postun handler.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- added init.d service for gdm/kdm/xdm
- added patch by Owen Taylor for xinput extension

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- freetype fixes for alpha
- Xauth employed in startx script

* Tue Jan 26 1999 Preston Brown <pbrown@redhat.com>
- forward port back to RawHide (Red Hat 6.0)
- newer version of freetype/truetype support
- fbdev enabled on all archs (2.2 kernel!)
- 3dlabs enabled on alpha
- integrate Cristian's arm stuff
- ru_SU (KOI8-R) character set fixes to locale.alias
- xfs made into an init.d service

* Mon Jan 11 1999 Preston Brown <pbrown@redhat.com>
- integrated 3.3.3.1 patch, removed obsoleted patches.

* Mon Dec 14 1998 Preston Brown <pbrown@redhat.com>
- added permedia chipset clockchip bugfix

* Wed Dec 09 1998 Preston Brown <pbrown@redhat.com>
- alpha sockets patch added, all freetype stuff removed, ultrapeng. banner gone

* Thu Dec 03 1998 Preston Brown <pbrown@redhat.com>
- moved lib/modules and lib/X11/xkb dirs into main package to fix conflicts.

* Wed Dec 02 1998 Preston Brown <pbrown@redhat.com>
- backported package to 5.2.

* Mon Nov 30 1998 Preston Brown <pbrown@redhat.com>
- the big update to XFree 3.3.3. Lots of changes, many patches were merged in.

* Wed Nov 11 1998 Jeff Johnson <jbj@redhat.com>
- sync with ultrapenguin 1.1.
- add __alpha__ check to Imake.cf

* Thu Oct 22 1998 Preston Brown <pbrown@redhat.com>
- added empty fonts.dir and fonts.scale to TrueType dir.

* Wed Oct 21 1998 Preston Brown <pbrown@redhat.com>
- rolled in truetype support to X server / xfs via FreeType.
- separated font server stuff into a separate package

* Thu Oct 08 1998 Cristian Gafton <gafton@redhat.com>
- disabled the S3V patch introduced by Preston
- updated czech patch
- added NeoMagic NM2200 chipset support
- updated NeoMagic patches

* Mon Oct  5 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Acceleration for Creator/Creator3D support.
- Show banner on startup for SPARC Mach64 server as well.

* Fri Oct 02 1998 Preston Brown <pbrown@redhat.com>
- patched cards database to use old S3V driver for most cards

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- enhance Xession to read user's .Xmodmap and .Xresources
- TGA patches from Jay
- alpha lnx_video patch from Jay Estabrook
- czech and slovak patches
- added Neomagic patches
- enabled XF86Setup
- added cyrillic fonts to the %files list
- ifarch i386 for XFree86-Setup package

* Thu Aug 27 1998 Jeff Johnson
- another 1386 -> i386 typo (sigh).

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- add PAM_TTY to xdm patch.

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.3.2.3

* Sat Jun 27 1998 Matti Aarnio <matti.aarnio@sonera.fi>
- Four patches for 64-bit systems.

* Tue Jun 23 1998 Eddie C. Dost <ecd@skynet.be>
- Fix mach64/SPARC PCI.

* Thu Jun 11 1998 Jeff Johnson <jbj@redhat.com>
- Merge in m68k changes.

* Mon Jun  8 1998 Jeff Johnson <jbj@redhat.com>
- Add build root.

* Thu Jun 04 1998 Prospector System <bugs@redhat.com>
- translations modified for fr

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- added more security fixes

* Mon May 25 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Merged SPARC port with 3.3.2
- Show banner on startup for Xsun* servers

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Wed May 13 1998 Jeff Johnson <jbj@redhat.com>
- Merge in sparc changes.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue May 05 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix colormaps on SBUS cards, add /dev/fb to the list
  of checked devices even for XSunMono

* Mon May 04 1998 Erik Troan <ewt@redhat.com>
- included security fix which fixes a large number of problems

* Wed Apr 22 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Fix fb mapping on non-accelerated SBUS cards
- Further PCI SPARC changes (from ecd).

* Tue Apr 14 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Merge in PCI SPARC support (written by Eddie C. Dost).

* Tue Apr 07 1998 Jakub Jelinek <jj@ultra.linux.cz>
- Unmap all fb mappings before closing fb in SBUS servers,
  otherwise new kernels don't call fb_close and bad things
  happen.

* Mon Mar 30 1998 Erik Troan <ewt@redhat.com>
- switched to using the Xwrapper from XFree86 rather then a separate package

* Sat Mar 21 1998 Jakub Jelinek <jj@ultra.linux.cz>
- built sparc version against glibc

* Sat Mar 21 1998 Michal Rehacek <majkl@iname.com>
- Accelerated support for Creator/Creator3D

* Tue Mar 03 1998 Erik Troan <ewt@redhat.com>
- updated to XFree86 3.3.2

* Fri Jan 16 1998 Erik Troan <ewt@redhat.com>
- turned off setuid bit for X servers
- require xserver-wrapper (which replaces /usr/X11R6/bin/X)

* Wed Nov 05 1997 Erik Troan <ewt@redhat.com>
- removed XF86Setup
- updated file list to include some missing files

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- New PAM conversation function conventions

* Mon Sep 29 1997 Erik Troan <ewt@redhat.com>
- built against tcl/tk 8.0

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- set libc version to 6 (which turns on thread support as well)
- used wildcards more liberally in file lists

* Tue Sep 02 1997 Erik Troan <ewt@redhat.com>
- added notiocsltc patch
- added /usr/X11R6/lib/X11/xserver/SecurityPolicy

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- updated to XFree86 3.3.1

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- add shlibs patch, we links shared libraries against -lc

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- Increased release number to 10 for glibc version

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Updated to XFree86 3.3

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Changed xdm to use xbanner
- Changed xdm paths to point to /var/run, /var/log, /etc/X11/xdm instead
  of all pointing to /usr/X11R6/lib/X11/xdm

* Thu Mar 06 1997 Erik Troan <ewt@redhat.com>
- Modified to use pam.d.
